Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::BBeBMetadataParser Class Reference

`#include <BBeBMetadataParser.h>`

## Public Member Functions
| BBeBMetadataParser (librevenge::RVNGInputStream *input)
void | parse ()
const BBeBMetadata & | getMetadata () const

## Private Member Functions
| BBeBMetadataParser (const BBeBMetadataParser &other)
BBeBMetadataParser & | operator= (const BBeBMetadataParser &other)

## Private Attributes
BBeBMetadata | m_metadata
librevenge::RVNGInputStream *const | m_input

## Constructor & Destructor Documentation

## ◆ BBeBMetadataParser() [1/2]

libebook::BBeBMetadataParser::BBeBMetadataParser | ( | const BBeBMetadataParser & | other | ) |
| private

## ◆ BBeBMetadataParser() [2/2]

libebook::BBeBMetadataParser::BBeBMetadataParser | ( | librevenge::RVNGInputStream * | input | ) |
| explicit

## Member Function Documentation

## ◆ getMetadata()

const BBeBMetadata & libebook::BBeBMetadataParser::getMetadata | ( |  | ) | const

## ◆ operator=()

BBeBMetadataParser & libebook::BBeBMetadataParser::operator= | ( | const BBeBMetadataParser & | other | ) |
| private

## ◆ parse()

void libebook::BBeBMetadataParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_input

librevenge::RVNGInputStream* const libebook::BBeBMetadataParser::m_input
| private

## ◆ m_metadata

BBeBMetadata libebook::BBeBMetadataParser::m_metadata
| private

Referenced by getMetadata().

The documentation for this class was generated from the following files:

- BBeBMetadataParser.h
- BBeBMetadataParser.cpp